# openforcefield.utils.utils.convert_0_1_smirnoff_to_0_2

`openforcefield.utils.utils.``convert_0_1_smirnoff_to_0_2`(smirnoff_data_0_1)

  Convert an 0.1-compliant SMIRNOFF dict to an 0.2-compliant one. This involves renaming several tags, adding Electrostatics and ToolkitAM1BCC tags, and separating improper torsions into their own section.

  Parameters
    smirnoff_data_0_1 dict

      Hierarchical dict representing a SMIRNOFF data structure according the the 0.1 spec

  Returns
    smirnoff_data_0_2

      Hierarchical dict representing a SMIRNOFF data structure according the the 0.2 spec